# Class SkyEllipseCoordSet

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.SkyEllipseCoordSet

All Implemented Interfaces:
  `MultiPointCoordSet, SkyMultiPointCoordSet`

public class SkyEllipseCoordSet extends Object implements SkyMultiPointCoordSet
MultiPointCoordSet for ellipses on a sphere.

Since:
  18 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyEllipseCoordSet()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static MultiPointForm`
`createForm()`
Creates a MultiPointForm that can plot ellipses on the sky, corresponding to this coordset.
`Coord[]`
`getCoords()`
Returns the coordinate definitions.
`int`
`getPointCount()`
Returns the number of (non-central) data positions defined by this coord set.
`boolean`
`readPoints(Tuple tuple, int icol, double[] xyz0, double unitInDegrees, SkyDataGeom geom, double[][] xyzExtras)`
Reads the non-central points from a appropriate span of columns in a supplied tuple.
`double`
`readSize(Tuple tuple, int icol, double[] xyz0)`
Returns the characteristic size of the multi-point structure represented by a supplied tuple.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyEllipseCoordSet

public SkyEllipseCoordSet()
Constructor.

## Method Details

### getCoords

public Coord[] getCoords()
Description copied from interface: `MultiPointCoordSet`
Returns the coordinate definitions.

Specified by:
  `getCoords` in interface `MultiPointCoordSet`
Returns:
  coords

### getPointCount

public int getPointCount()
Description copied from interface: `MultiPointCoordSet`
Returns the number of (non-central) data positions defined by this coord set.

Specified by:
  `getPointCount` in interface `MultiPointCoordSet`
Returns:
  data position count

### readSize

public double readSize(Tuple tuple, int icol, double[] xyz0)
Description copied from interface: `SkyMultiPointCoordSet`
Returns the characteristic size of the multi-point structure represented by a supplied tuple. The returned value is a measure of linear extent on the tangent plane of the multi-point data contained in the tuple, in the same units as the size-defining parts of the input.

Specified by:
  `readSize` in interface `SkyMultiPointCoordSet`
Parameters:
  `tuple` - tuple
  `icol` - index of tuple field corresponding to the first of the coordinates in this set
  `xyz0` - nDataDim-element array giving central data position
Returns:
  linear extent of multi-point shape on the tangent plane

### readPoints

public boolean readPoints(Tuple tuple, int icol, double[] xyz0, double unitInDegrees, SkyDataGeom geom, double[][] xyzExtras)
Description copied from interface: `SkyMultiPointCoordSet`
Reads the non-central points from a appropriate span of columns in a supplied tuple.

The central data position must be supplied as input. The `icExtra` value gives the column corresponding to the first coord of this coordinate set in the sequence; the following few columns are assumed to correspond 1:1 to the coords in this coord set.

Specified by:
  `readPoints` in interface `SkyMultiPointCoordSet`
Parameters:
  `tuple` - tuple
  `icol` - index of tuple field corresponding to the first of the coordinates in this set
  `xyz0` - nDataDim-element array giving central data position
  `unitInDegrees` - unit in degrees of the size-defining tuple values
  `geom` - converter between tuple values and data space coordinates
  `xyzExtras` - [nPointCount][nDataDim]-shaped array into which the non-central data positions will be written
Returns:
  true iff the conversion was successful

### createForm

public static MultiPointForm createForm()
Creates a MultiPointForm that can plot ellipses on the sky, corresponding to this coordset.

Returns:
  new form